summaryrefslogtreecommitdiffstats
path: root/office/wordgrinder/wordgrinder.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/wordgrinder/wordgrinder.SlackBuild')
-rw-r--r--office/wordgrinder/wordgrinder.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/office/wordgrinder/wordgrinder.SlackBuild b/office/wordgrinder/wordgrinder.SlackBuild
new file mode 100644
index 0000000000..1e3a133f0d
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for wordgrinder
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=wordgrinder
+VERSION=${VERSION:-0.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="'-O2', '-march=i486', '-mtune=i686'"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="'-O2', '-march=i686', '-mtune=i686'"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="'-O2', '-fPIC'"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="'-O2'"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="COPYING README.Unix README.wg"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the pm setup
+patch -p1 < $CWD/pmfile.patch
+sed -i "s|@CFLAGS@|$SLKCFLAGS|" pmfile
+
+./pm wordgrinder_release_exe
+install -D -m 755 .pm-cache/34-1-utils $PKG/usr/bin/wordgrinder
+install -D -m 644 wordgrinder.man $PKG/usr/man/man1/wordgrinder.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}